MSA Storage
cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to Update Firmware and SAN Loader Gives Invalid FOS Error

 
SOLVED
Go to solution
SAN_Admin123
Occasional Visitor

Unable to Update Firmware and SAN Loader Gives Invalid FOS Error

While trying to upgrade the firmware on the Brocade 4Gb SAN switch i get invalid path error using FTP.
Current firmware Version 5.3.0a.
New version tried: 6.0.0b. While using SAN loader utility to install the firmware shows invalid FOS error.

4 REPLIES 4
Shivprasad
Regular Visitor

Re: Unable to Update Firmware and SAN Loader Gives Invalid FOS Error

We would recommend to upgrade using the following upgrade path.

 

FOS 5.x -> 5.1.1b -> 5.3.2c -> 6.0.0c_SE
FOS 6.x -> 6.1.2b -> 6.2.2f -> 6.3.2d -> 6.4.3h -> 7.0.0d
FOS 7.x -> 7.0.0d -> 7.1.2b -> 7.2.1g -> 7.3.1d -> 7.4.1c

I am an HPE Employee
Kiran_Kumar_SN
Frequent Visitor
Solution

Re: Unable to Update Firmware and SAN Loader Gives Invalid FOS Error

You may want to try the following

1. Check the SAN Loader version. Ver 5.0.2 works fine.
2. Extract the firmware zip file and locate the parent folder to upload.

Alternatively, you can try 3rd party FTP server to confirm connection status.

Please check the firmware update process log for further detail if it still fails: "...\My Documents\SAN Loader\logs\UpdateLog_xxx.log“.

 

Regards,

Kiran Kumar

I am an HPE Employee
SAN_Admin123
Occasional Visitor

Re: Unable to Update Firmware and SAN Loader Gives Invalid FOS Error

Experts thanks for the replies. I will try the suggested steps and revert. Appreciate you help.

LRios
Occasional Visitor

Re: Unable to Update Firmware and SAN Loader Gives Invalid FOS Error

Hello, 

 

Where can I get the old SAN Loader version 5.0.2 ? I need to upgrade from 6.3.1a and need to update up to 7.4.1.d, so I would like to use 5.0.2 if it really is working with the 6.x upgrades to 7.x. 

 

Thank you,

 

Lori